metadata:
  id: freshrss
  name:
    en: freshrss
  version: 0.1.0+freshrss
  displayVersion: 1.25.0
  category:
    en: Networking
  tagline:
    en: A free, self-hostable aggregator for rss feeds.
  developers:
    FreshRSS Org: https://freshrss.org/
  description:
    en: FreshRSS is a self-hosted RSS and Atom feed aggregator.It is lightweight, easy to work with, powerful, and customizable.A Powerful Aggregator Syndication Follow websites, podcasts and video channels in a single place. Reader Read your articles directly in FreshRSS. Search Search and save queries for quick access. Web scraping Generate feeds by scraping external websites. Feeds generation Generate new feeds based on your filters. OPML Import and export your feeds with OPML. WebSub Stay connected to your feeds in real-time. Configurable Adapt to your needs thanks to a lot of options. Mobile Follow your feeds with or without a third-party application. Fast & efficient FreshRSS can manage 1M+ articles and 50k+ feeds without complaining. Themes & extensions Customize FreshRSS with themes and extensions. International FreshRSS is translated in more than 15 languages.
  dependencies:
  - tor
  - tor
  basePermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  hasPermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  exposesPermissions: []
  repos:
    Public: https://github.com/FreshRSS/FreshRSS
  support: https://github.com/FreshRSS/FreshRSS
  gallery:
  - https://github.com/getumbrel/umbrel-apps/assets/43396684/fb6a5be8-a44a-404c-ac93-ea280236352f
  - https://github.com/getumbrel/umbrel-apps/assets/43396684/b132d270-3a12-426f-bbc7-e2dfd5b80d86
  - https://github.com/getumbrel/umbrel-apps/assets/43396684/8e229d50-b6d4-419c-9ca0-18d4a33fd4f7
  - https://github.com/getumbrel/umbrel-apps/assets/43396684/f62240fe-449c-4518-9967-24d008f09d2f
  icon: https://runcitadel.github.io/old-apps-gallery/freshrss/icon.svg
  path: ''
  defaultPassword: null
  license: ''
  volumes: {}
  ports: []
  exportedData:
    bitcoin:
      info:
        rpc_accounts:
        - name: main
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: true
  preloadType: null
containers:
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        TZ: !StringLike Etc/UTC
      hostname: null
      image: freshrss/freshrss:1.25.0@sha256:e7897e90c1e0ab4a68cb643ff509dec4e3b85bbe42e2688ed9f95eb190bcb2b1
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Host
        name: home-citadel-citadel-app-data-freshrss-extensions
        host_path: /home/citadel/citadel/app-data/freshrss/extensions
        mount_path: /var/www/FreshRSS/extensions
        is_readonly: false
      - !Host
        name: home-citadel-citadel-app-data-freshrss-user-data
        host_path: /home/citadel/citadel/app-data/freshrss/user_data
        mount_path: /var/www/FreshRSS/data
        is_readonly: false
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: citadel
    middlewares: {}
services:
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 80
  type: Https
  enable_compression: true
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources:
- app: tor
  plugin_id: onion-service
  definition:
    app-freshrss:
      target_svc: main
      target_ns: null
      ports:
        80:
          target_svc: host-docker-internal
          target_ns: null
          target_port: 80
      insecure_single_hop: null
      store_name_in_secret:
        key: name
        name: onion-svc-app-freshrss-name
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
other: []
